# Template API

## Templates

<mark style="color:blue;">`GET`</mark> `https://fillthedoc.com/api/templates`

Get a list of all published templates.

#### Query Parameters

| Name     | Type   | Description                              |
| -------- | ------ | ---------------------------------------- |
| category | string | Filter templates on category             |
| folder   | string | Get templates from folder and subfolders |

{% tabs %}
{% tab title="200 " %}

```javascript
[
    {
        "id": "welcome",
        "name": "Welcome letter",
        "description": "Welcome letter for new users",
        "categories": [
            "most-used",
            "hr"
        ]
    },
    {
        "id": "labor-agreement",
        "name": "Labor agreement",
        "description": "A labor agreement for temporary or steady employees",
        "categories": [
            "most-used",
            "hr"
        ]
    },
    {
        "id": "cao-employee",
        "name": "CAO Employee",
        "description": "General CAO agreement for employees",
        "categories": [
            "hr"
        ]
    },
    {
        "id": "cao-offshore",
        "name": "CAO Off Shore",
        "description": "CAO agreement for offshore employees",
        "categories": [
            "hr"      
        ]
    },
    {
        "id": "incorporation-bv",
        "name": "Incorporation BV",
        "description": "Offical document for forming a new BV",
        "categories": [
            "most-used",
            "incorporation"
        ]
    },
    {
        "id": "incorporation-holding",
        "name": "Incorporation Holding BV",
        "description": "Official document for forming a new holding BV",
        "categories": [
            "most-used",
            "incorporation"
        ]
    },
    {
        "id": "incorporation-limited-gb",
        "name": "Incorporation Limited (GB)",
        "description": "Official document for forming a British limited",
        "categories": [
            "incorporation"
        ]
    },
    {
        "id": "nda",
        "name": "Non Disclosure Agreement (NDA)",
        "description": "Multi-purpose, one- or two-way NDA",
        "categories": [
            "most-used",
            "hr",
            "sales"
        ]
    },
    {
        "id": "due-diligence",
        "name": "Due diligence report",
        "description": "A due diligence report is request when transfering >10% of the stocks of a company",
        "categories": [
            "sales",
            "takeover"
        ]
    }            
]
```

{% endtab %}
{% endtabs %}

## Categories

<mark style="color:blue;">`GET`</mark> `https://fillthedoc.com/api/categories`

Get a list of all categories.

{% tabs %}
{% tab title="200 " %}

```javascript
[
    {
        "id": "most-used",
        "name": "Most used"
    },
    {
        "id": "incorporation",
        "name": "Incorporation"
    },
    {
        "id": "hr",
        "name": "HR agreements"
    },
    {
        "id": "sales",
        "name": "Sales"
    },
    {
        "id": "takeover",
        "name": "Takeover"
    }
]
```

{% endtab %}
{% endtabs %}

Categories are used to group and filter templates. A template may be part of any number of categories.

## Folders

<mark style="color:blue;">`GET`</mark> `https://fillthedoc.com/api/folders`

Get a list of all folder.

{% tabs %}
{% tab title="200 " %}

```javascript
[
    "hr",
    "hr/contracts",
    "hr/dossiers",
    "sales",
    "sales/contracts",
    "sales/offers"
]
```

{% endtab %}
{% endtabs %}

Templates may be organized in folders. Folders are nested; they may have subfolders.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fillthedoc.com/api/template-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
